## To bootstrap from another linux system:

Make sure you have a full development environment installed including
compiler, linker, headers etc. Git is also required for several stages,
along with GNU wget. Commands following a # prompt are run as root, while
those following a % prompt can be run as your normal user.

Bind mount the source directory on /usr/src:
```
# mount -Bv <path to sourcedir> /src
```
Create a link required for the correct installation of the temporary
toolchain:
```
# ln -sv <path to sourcedir>/build/toolchain /toolchain
```
Set up the environment by sourcing an included script:
```
# source scripts/setenv.sh
```
The system is now bootstrapped with minimal changes to the host. Should
you wish to abort partway through and continue later, simply unmount
/src and then remount it when ready to begin again.

To build the system:
```
% make buildtools
% make buildworld
```
This creates a complete root filesystem in /src/build
