# Target architecture, IE the machine that the newly built system will run on.  Supported targets are: i486
# i586
# i686
# x86_64 (most modern Intel and AMD based systems)
# armv7l (earlier Arm SBC's such as RPI and RPI2)
# aarch64 (later Arm SBC's such as RPI3 and RPI4)
# riscv64 (SiFive Unmatched, BeagleV)
arch = x86_64

# If building for rpi3/4 we can automatically configure and build u-boot
# by setting rpi to 1
# rpi = 1

# Maximum make threads to run concurrently. For some packages on some
# architectures this will be automatically overridden.
makeflags = -j8

# Optional bootstrap packages. HitchHiker ships with BSD paxtar, and it's syntax
# is used rather than GNU tar in certain places. To bootstrap on systems other
# than HitchHiker it is a good idea to set build_pax to 1.
build_pax = 0

# If building on HitchHiker, Perl will need to be built as it is used repeatedly
# during the build of other packages. If perl is installed via pkgsrc this can
# be skipped.
build_perl = 0

# If building on HitchHiker, intltool is not part of the base system as it
# depends on the XML::Parser perl module.
build_intltool = 0

# Again, if building on HitchHiker, Python must be built either here or via
# pkgsrc.
build_python = 0

# If the version of `file` installed on the host differs from the one supplied
# by HitchHiker, it may be necessary to build `file` as well
build_file = 1
