#  create-plist.mk - hhl - /usr/include/hhl
#  Copyright 2020 Nathan Fisher <nfisher.sr@gmail.com>
#  

pkgdbdir = var/db/pkg/${pkgname}

dirs = \
bin    \
boot   \
dev    \
home   \
lib    \
media  \
mnt    \
opt    \
proc   \
root   \
run    \
sbin   \
srv    \
sys    \
sys    \
tmp    \
usr

install: ${pkgdbdir}/plist ${pkgdbdir}/etc.plist

${pkgdbdir}/plist:
	if [ ! -d ${pkgdbdir} ] ; then install -d ${pkgdbdir} ; fi
	find ${dirs} -type f | while read f ; \
		do echo file\|$$(stat -c %n\|%a\|root:root $${f})\|$$(file -b -e elf $${f}) ; \
	done > $@.in
	find ${dirs} -type d | while read d ; \
		do echo directory\|$$(stat -c %n\|%a\|root:root $${d}) ; \
	done >> $@.in
	find ${dirs} -type c | while read c ; \
		do echo device\|$${c}\|$$(file -b $${c}) ; \
	done >> $@.in
	mv -v $@.in $@

${pkgdbdir}/etc.plist:
	if [ ! -d ${pkgdbdir} ] ; then install -d ${pkgdbdir} ; fi
	find etc var -type f | while read f ; \
		do echo file\|$$(stat -c %n\|%a\|root:root $${f})\|$$(file -b -e elf $${f}) ; \
	done > $@.in
	find etc var -type d | while read d ; \
		do echo directory\|$$(stat -c %n\|%a\|root:root $${d}) ; \
	done >> $@.in
	mv -v $@.in $@

.PHONY: install
