#  hhl.doc.mk - hhl - /usr/include/mk
#  Copyright 2020 Nathan Fisher <nfisher.sr@gmail.com>
#  

man1srcs   ?= $(wildcard man/*.1)
man2srcs   ?= $(wildcard man/*.2)
man3srcs   ?= $(wildcard man/*.3)
man4srcs   ?= $(wildcard man/*.4)
man5srcs   ?= $(wildcard man/*.5)
man6srcs   ?= $(wildcard man/*.6)
man7srcs   ?= $(wildcard man/*.7)
man8srcs   ?= $(wildcard man/*.8)
man1s      ?= $(patsubst man/%.1,${man1dir}/%.1,${man1srcs})
man2s      ?= $(patsubst man/%.2,${man2dir}/%.2,${man2srcs})
man3s      ?= $(patsubst man/%.3,${man3dir}/%.3,${man3srcs})
man4s      ?= $(patsubst man/%.4,${man4dir}/%.4,${man4srcs})
man5s      ?= $(patsubst man/%.5,${man5dir}/%.5,${man5srcs})
man6s      ?= $(patsubst man/%.6,${man6dir}/%.6,${man6srcs})
man7s      ?= $(patsubst man/%.7,${man7dir}/%.7,${man7srcs})
man8s      ?= $(patsubst man/%.8,${man8dir}/%.8,${man8srcs})
mans        = ${man1s} ${man2s} ${man3s} ${man4s} ${man5s} ${man6s} \
              ${man7s} ${man8s}
infosrcs   ?= $(wildcard info/*.info)
infos      ?= $(patsubst info/%.info,${infodir}/%.info,${infosrcs})

progdocdir  = ${docdir}/${progname}
htmlsrcs   ?= $(wildcard doc/*.html)
html        = $(patsubst doc/%.html,${progdocdir}/%.html,${htmlsrcs})
txtsrcs    ?= $(wildcard doc/*.txt)
txt         = $(patsubst doc/%.txt,${progdocdir}/%.txt,${txtsrcs})
pdfsrcs    ?= $(wildcard doc/*.pdf)
pdf         = $(patsubst doc/%.pdf,${progdocdir}/%.pdf,${pdfsrcs})

docs        = ${mans} ${infos} ${html} ${txt} ${pdf}

VPATH      += ./man
VPATH      += ./doc

${man1dir}/%.1: man/%.1
	install -Dm644 $< $@

${man2dir}/%.2: man/%.2
	install -Dm644 $< $@

${man3dir}/%.3: man/%.3
	install -Dm644 $< $@

${man4dir}/%.4: man/%.4
	install -Dm644 $< $@

${man5dir}/%.5: man/%.5
	install -Dm644 $< $@

${man6dir}/%.6: man/%.6
	install -Dm644 $< $@

${man7dir}/%.7: man/%.7
	install -Dm644 $< $@

${man8dir}/%.8: man/%.8
	install -Dm644 $< $@

${manlinks}:
	ln -sf $(shell echo $@ | sed 's;@; ;')

${infodir}/%.info: info/%.info
	install -Dm644 $< $@

${progdocdir}/%.html: doc/%.html
	install -Dm644 $< $@

${progdocdir}/%.txt: doc/%.txt
	install -Dm644 $< $@

${progdocdir}/%.pdf: doc/%.pdf
	install -Dm644 $< $@
