#  hhl.script.mk - hhl - /usr/include/mk
#  Copyright 2020 Nathan Fisher <nfisher.sr@gmail.com>
#
internal    = true
src        ?= src/${progname}.sh
include world.mk
include hhl.doc.mk
include hhl.colors.mk

ifeq (${sbin},1)
installdirs = ${sbindir}
binprog     = ${sbindir}/${progname}
else
installdirs = ${bindir}
binprog     = ${bindir}/${progname}
endif
bins        = ${binprog} ${binlinks}

install: ${bins} ${docs}
ifneq (${finish},true)
	$(info $(grn)=== Finished building $(progname) ===$(reset))
endif

finish: install ${objdir}/.finished
ifeq (${finish},true)
	$(info $(grn)=== Finished building $(progname) ===$(reset))
endif

${binprog}: ${src} ${installdirs}
	$(info $(grn)=== Installing ${src} as ${binprog} ===$(reset))
	install -Dm755 ${src} $@

${binlinks}: ${binprog}
	ln -f $< $@

${objdir}:
	install -d ${objdir}

${installdirs}:
	install -d $@

.PHONY: install
