#  hhl.staticlib.mk - hhl - /usr/include/mk
#  Copyright 2020 Nathan Fisher <nfisher.sr@gmail.com>
#  
internal    = true
objdir     ?= $(global_objdir)/lib$(libname)_static
staticlib   = lib$(libname).a
include hhl.lib.mk

all: $(staticlib)
	$(info $(grn)=== Finished Building $(staticlib) ===$(reset))

$(staticlib): $(objs)
	$(AR) rc $@ $^
	$(RANLIB) $@

$(objdir)/%.o: $(src)/%.c | $(objdir)
	$(CC) $(cppflags) $(cflags) $(ldflags) -o $@ -c $<

$(objdir):
	$(info $(grn)=== Building for $(staticlib) ===$(reset))
	install -d $(objdir)

install: $(libdir)/$(staticlib)
	$(post_install)

$(libdir)/$(staticlib): $(staticlib) | $(libdir)
	install $< $@

clean:
	$(info $(grn)=== Cleaning for $(staticlib) ===$(reset))
	rm -rf $(objdir) $(staticlib)

.PHONY: all clean
